summaryrefslogtreecommitdiff
path: root/tests/data
diff options
context:
space:
mode:
authorRuss Allbery <rra@stanford.edu>2008-04-24 23:05:14 +0000
committerRuss Allbery <rra@stanford.edu>2008-04-24 23:05:14 +0000
commit86bce23e53e6cc89ed5104b21a5fe33fab5a7a9f (patch)
treec8c352137a41c5e8da8e46dd880252a30132c89e /tests/data
parenta93ca104c89859e1022c818579f81f528be204b5 (diff)
The wallet command-line client now reads the data for store from a
file (using -f) or from standard input (if -f wasn't given) when the data isn't specified on the command line. The data still must not contain nul characters.
Diffstat (limited to 'tests/data')
-rwxr-xr-xtests/data/cmd-fake7
1 files changed, 7 insertions, 0 deletions
diff --git a/tests/data/cmd-fake b/tests/data/cmd-fake
index d12f839..3ffd9cc 100755
--- a/tests/data/cmd-fake
+++ b/tests/data/cmd-fake
@@ -130,6 +130,13 @@ get)
;;
esac
;;
+store)
+ if [ -n "$3" ] ; then
+ echo "Too many arguments" >&2
+ exit 1
+ fi
+ printf "$type $1\n$2" > store-output
+ ;;
show)
if [ -n "$2" ] ; then
echo "Too many arguments" >&2